# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`zram`](#zram): Configures and loads zram kernel module
* [`zram::config`](#zramconfig): Configuration for the `zram` module
* [`zram::install`](#zraminstall): Add or remove packages to enable zram management
* [`zram::load`](#zramload): Loads the zram kernel module

### Tasks

* [`reload`](#reload): Reloads the zram kernel module

## Classes

### <a name="zram"></a>`zram`

zram

This module configures zram using udev rules (no init scripts or systemd
units needed).

#### Examples

##### 

```puppet
include zram
```

#### Parameters

The following parameters are available in the `zram` class:

* [`numdevices`](#numdevices)
* [`disksize`](#disksize)

##### <a name="numdevices"></a>`numdevices`

Data type: `Integer`

Number of zram devices.  Defaults to the number of processors (`$facts['processorcount']`).

Default value: `$facts['processorcount']`

##### <a name="disksize"></a>`disksize`

Data type: `Integer`

Size of zram devices.  Defaults to half of memory divided by `numdevices`.

Default value: `(`

### <a name="zramconfig"></a>`zram::config`

Configuration for the `zram` module

### <a name="zraminstall"></a>`zram::install`

Add or remove packages to enable zram management

#### Parameters

The following parameters are available in the `zram::install` class:

* [`required`](#required)
* [`conflicts`](#conflicts)
* [`required_ensure`](#required_ensure)
* [`conflicts_ensure`](#conflicts_ensure)

##### <a name="required"></a>`required`

Data type: `Variant[
    Undef,
    String[1],
    Array[String[1]]
  ]`

Packages required for zram to function

Default value: ``undef``

##### <a name="conflicts"></a>`conflicts`

Data type: `Variant[
    Undef,
    String[1],
    Array[String[1]]
  ]`

Packages that conflict with zram

Default value: ``undef``

##### <a name="required_ensure"></a>`required_ensure`

Data type: `String[1]`

`ensure` attribute of `required` packages

Default value: `'installed'`

##### <a name="conflicts_ensure"></a>`conflicts_ensure`

Data type: `String[1]`

`ensure` attribute of `conflicts` packages

Default value: `'absent'`

### <a name="zramload"></a>`zram::load`

Loads the zram kernel module

## Tasks

### <a name="reload"></a>`reload`

Reloads the zram kernel module

**Supports noop?** true

#### Parameters

##### `verbose`

Data type: `Optional[Boolean]`

Enable verbose output

